export declare const NaN: number, isFinite: (number: unknown) => boolean, isInteger: (number: unknown) => boolean, isNaN: (number: unknown) => boolean, isSafeInteger: (number: unknown) => boolean, parseFloat: (string: string) => number, parseInt: (string: string, radix?: number | undefined) => number;
export declare const abs: (x: number) => number, ceil: (x: number) => number, floor: (x: number) => number, max: (...values: number[]) => number, min: (...values: number[]) => number, random: () => number, round: (x: number) => number, sign: (x: number) => number;
export declare const SymbolFor: (key: string) => symbol;
export declare const SymbolKeyFor: (sym: symbol) => string | undefined;
export declare const hasOwnProperty: (target: unknown, prop: string | number | symbol) => boolean;
export declare const isPrototypeOf: (target: unknown, base: unknown) => boolean;
export declare const isEnumerable: (target: unknown, prop: string | number | symbol) => boolean;
export declare const toString: (target: unknown) => string;
export declare const ObjectAssign: {
    <T, U>(target: T, source: U): T & U;
    <T_1, U_1, V>(target: T_1, source1: U_1, source2: V): T_1 & U_1 & V;
    <T_2, U_2, V_1, W>(target: T_2, source1: U_2, source2: V_1, source3: W): T_2 & U_2 & V_1 & W;
    (target: object, ...sources: any[]): any;
};
export declare const ObjectCreate: {
    (o: null, properties?: PropertyDescriptorMap & ThisType<any>): {};
    <T extends object>(o: T, properties?: PropertyDescriptorMap & ThisType<any>): T;
};
export declare const ObjectDefineProperties: <T extends object>(o: T, properties: PropertyDescriptorMap & ThisType<any>) => T;
export declare const ObjectDefineProperty: <T extends object>(o: T, p: string | number | symbol, attributes: PropertyDescriptor & ThisType<any>) => T;
export declare const ObjectEntries: {
    <T>(o: {
        [s: string]: T;
    } | ArrayLike<T>): [string, T][];
    (o: {}): [string, any][];
};
export declare const ObjectFreeze: {
    <T>(a: T[]): readonly T[];
    <T_1 extends Function>(f: T_1): T_1;
    <T_2>(o: T_2): Readonly<T_2>;
};
export declare const ObjectFromEntries: {
    <T = any>(entries: Iterable<readonly [PropertyKey, T]>): {
        [k: string]: T;
    };
    (entries: Iterable<readonly any[]>): any;
};
export declare const ObjectGetOwnPropertyDescriptor: (o: any, p: PropertyKey) => PropertyDescriptor | undefined;
export declare const ObjectGetOwnPropertyDescriptors: <T>(o: T) => { [P in keyof T]: TypedPropertyDescriptor<T[P]>; } & {
    [x: string]: PropertyDescriptor;
};
export declare const ObjectGetOwnPropertyNames: (o: any) => string[];
export declare const ObjectGetOwnPropertySymbols: (o: any) => symbol[];
export declare const ObjectGetPrototypeOf: (o: unknown) => object | null;
export declare const ObjectIs: (value1: any, value2: any) => boolean;
export declare const isExtensible: (o: any) => boolean;
export declare const isFrozen: (o: any) => boolean;
export declare const isSealed: (o: any) => boolean;
export declare const ObjectKeys: {
    (o: object): string[];
    (o: {}): string[];
};
export declare const ObjectPreventExtensions: <T>(o: T) => T;
export declare const ObjectSeal: <T>(o: T) => T;
export declare const ObjectSetPrototypeOf: <T extends object>(o: T, proto: object | null) => T;
export declare const ObjectValues: {
    <T>(o: {
        [s: string]: T;
    } | ArrayLike<T>): T[];
    (o: {}): any[];
};
export declare const isArray: {
    <T>(arg: Iterable<T>): arg is T[];
    (arg: any): arg is readonly any[];
};
